Bug 111713 - preserve configfiles while updating
preserve configfiles while updating
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: IBMJava2-JRE (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Karen Bennet
Depends On:
  Show dependency treegraph
Reported: 2003-12-09 03:17 EST by Andreas Piesk
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-05 16:01:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andreas Piesk 2003-12-09 03:17:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.5) Gecko/20031027

Description of problem:
the JRE contains several files which are likely to be modified by
users, for instance:


these files should be declared as %config(noreplace) in the package,
otherwise the files will be wiped out without any warning.

this applies to the SDK as well.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. install JRE
2. import certificate into keystore
3. update JRE

Additional info:
Comment 2 Suzanne Hillman 2004-05-05 16:01:52 EDT
Based on looking at the spec file, since there is no previous version
to upgrade from, this looks good. Closing.

Note You need to log in before you can comment on or make changes to this bug.